List jobs
curl --request GET \
--url https://api.filecheck.io/jobs \
--header 'Authorization: Bearer <token>'{
"jobs": [
{
"id": "<string>",
"createdAt": "<string>",
"modifiedAt": "<string>",
"status": "<string>",
"outcome": "<string>",
"ruleId": "<string>",
"workflowId": "<string>",
"metaData": {},
"tasks": [
{
"id": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>",
"status": "<string>",
"outcome": "<string>",
"fileType": "<string>",
"mimeType": "<string>",
"source": "<string>",
"fileRef": "<string>",
"clientRef": "<string>",
"jobId": "<string>",
"originalArtifact": {},
"outputArtifacts": [
{
"kind": "<string>",
"role": "<string>",
"bucket": "<string>",
"key": "<string>",
"downloadUrl": "<string>",
"expiresIn": 123
}
],
"steps": [
{
"id": "<string>",
"type": "<string>",
"status": "<string>",
"reason": "<string>",
"params": {},
"runtimeParams": {},
"started": "<string>",
"ended": "<string>",
"duration": 123,
"outputs": [
{}
]
}
]
}
],
"orderId": "<string>",
"customerId": "<string>",
"customerEmail": "<string>",
"summary": {},
"results": {}
}
]
}Jobs
List jobs
GET
/
jobs
List jobs
curl --request GET \
--url https://api.filecheck.io/jobs \
--header 'Authorization: Bearer <token>'{
"jobs": [
{
"id": "<string>",
"createdAt": "<string>",
"modifiedAt": "<string>",
"status": "<string>",
"outcome": "<string>",
"ruleId": "<string>",
"workflowId": "<string>",
"metaData": {},
"tasks": [
{
"id": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>",
"status": "<string>",
"outcome": "<string>",
"fileType": "<string>",
"mimeType": "<string>",
"source": "<string>",
"fileRef": "<string>",
"clientRef": "<string>",
"jobId": "<string>",
"originalArtifact": {},
"outputArtifacts": [
{
"kind": "<string>",
"role": "<string>",
"bucket": "<string>",
"key": "<string>",
"downloadUrl": "<string>",
"expiresIn": 123
}
],
"steps": [
{
"id": "<string>",
"type": "<string>",
"status": "<string>",
"reason": "<string>",
"params": {},
"runtimeParams": {},
"started": "<string>",
"ended": "<string>",
"duration": 123,
"outputs": [
{}
]
}
]
}
],
"orderId": "<string>",
"customerId": "<string>",
"customerEmail": "<string>",
"summary": {},
"results": {}
}
]
}⌘I